Bug 25614 - RFE: Add documentation on ~public_html permissions requirements
RFE: Add documentation on ~public_html permissions requirements
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-01 23:03 EST by R P Herrold
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-01 23:47:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-02-01 23:03:05 EST
Add a brief explanation of the need to chmod 0771 ~userid, and
~userid/public_html in httpd.conf.  The existing text is Apache 
generic and does not reflect the Red hat approach to home directory
security ...

Position it just above:

UserDir public_html 

-------proposed text------
#
#     The path to the end user account 'public_html' directory must 
#     accessible to the webserver userid.  This usually means that 
#     ~userid must have permissions of 711 and ~userid/public_html 
#     must have permissions of 755 
#
#     To the client browser, an error such as:
#        Forbidden
#  You don't have permission to access /~username on this server
#
#     And /var/log/htpd/access_log will have a '403' return 
#     respecting the path in question:
#
#     10.0.0.2 - - [01/Feb/2001:22:00:06 -0500] \
#           "GET /~userid  HTTP/1.0" 403 206 
#                                   ^^^^^ -- note the '403'
#     Thiis is NOT an execution error, so far as the web SERVER 
#     is concerned -- just a proper return of a 403 code in the
#     ACCESS_log.
#

----------------text ends---------------------
Comment 1 R P Herrold 2001-02-01 23:47:05 EST
also suggested -- add a link:
   http://httpd.apache.org/docs/misc/FAQ.html#forbidden
Comment 2 Nalin Dahyabhai 2001-02-23 15:09:32 EST
Done.  It'll show up in 1.3.14-12.

Note You need to log in before you can comment on or make changes to this bug.